/** @format */
/*
--- Завдання 5
- Умова:
Напишіть програму, яка знаходить всі числа Фібоначчі, що не перевищують задане користувачем число. 
Користувач має ввести число, а програма повинна вивести всі числа Фібоначчі, 
що не перевищують введене користувачем число.

Числами Фібоначчі називається послідовність чисел, 
де кожне наступне число дорівнює сумі двох попередніх: 0, 1, 1, 2, 3, 5, 8, 13, 21, 34, 55 і т.д.

- Приклад:
Введіть число: 50

Числа Фібоначчі, що не перевищують 50: 0, 1, 1, 2, 3, 5, 8, 13, 21, 34
*/

const num = prompt("ввести число");
let fib1 = 0;
let fib2 = 1;

if (num >= fib1) {
  console.log(fib1);
}

while (fib2 <= num) {
  console.log(fib2);
  let number = fib2;
  fib2 = fib1 + fib2;
  fib1 = number;
}
